nvtop(1)

NAME
nvtop - interactive GPU process viewer

SYNOPSIS
nvtop [-hv] [-d delay]

DESCRIPTION
nvtop is a ncurses-based GPU status viewer for AMD, Intel and NVIDIA GPUs.

COMMAND-LINE OPTIONS

-d, --delay=delay
    Delay between updates, in tenths of seconds (delay * 0.1s).

-h, --help
    Print the help and exit.

-C, --no-color
    Monochrome mode.

-f, --freedom-unit
    Use fahrenheit as temperature scale.

-E, --encode-hide=seconds
    Modify the setting for the encode/decode auto-hide timer. Always visible if negative. Default to 30 seconds.

-r, --reverse-abs
    Reverse abscissa: switch the plot data order from "old --- recent" (default) to "recent --- old".

-p, --no-plot
    Show only one bar plot corresponding to the maximum of all GPUs.

-v, --version
    Print the version and exit.

INTERACTIVE SETUP WINDOW

You can enter the setup utility by pressing F2 to view and modify the following interface options:

General
    This section deals with general interface options. Color support and interface update interval can be modified.

Devices
    This section deals with the devices display (top of the interface). You can switch the temperature scale to fahrenheit and set the encoder/decoder hiding timer.

Chart
    This section deals with the line plots (middle of the interface). You can reverse the plot direction and select which metric is being shown in the plots.

Processes
    This section deals with the process list (bottom of the interface). You can select the sort order, select the metric by which to sort the processes by and select which metric is displayed.

INTERACTIVE COMMANDS

The following commands are available while in nvtop:

Up  Select (highlight) the previous process.

Down
    Select (highlight) the next process.

Left / Right
    Scroll in the process row.

+   Sort increasingly.

-   Sort decreasingly.

F2  Enter the setup utility to modify the interface options.

F12 Save the current interface options to persistent storage. See the CONFIGURATION FILE section.

F9  "Kill" process: Select a signal to send to the highlighted process.

F6  Sort: Select the field for sorting. The current sort field is highlighted inside the header bar.

F10, q, Esc
    Quit.

DYNAMIC METERS

When the video encoder (ENC) and decoder (DEC) of the GPU are in use, new percentage meters will appear next to the GPU utilization bar. They will disappear automatically after some time of inactivity (see option -E).

CONFIGURATION FILE

The configuration file follows the XDG Base Directory Specification and is stored at $XDG_CONFIG_HOME/nvtop/interface.ini. The location defaults to $HOME/.config/nvtop/interface.ini if the XDG location is not defined.

Do not edit this file. The file is automatically created or updated upon toggling the interface saving key F12.

The configuration is loaded during program initialization. If no configuration file is present, default options are used.

MEMORY SIZES

Memory sizes in nvtop are displayed as multiples of 1024 bytes or 1 KiB.

BUGS

Some fields are shown as N/A
    Ask AMD or NVIDIA for better support of your hardware!

    If your card uses the AMDGPU driver, a more recent kernel might have improved support.

Compatibility issues
    Does not work with nouveau driver stack and older NVIDIA GPU for the time being.

    Does not work for AMD graphics card using the old radeon driver.

AUTHOR
Written by Maxime Schmitt.